security/libykneomgr - The NetBSD Packages Collection

Yubikey NEO C library and command-line tool

This is a C library to interact with the CCID-part of the YubiKey
NEO. There is a command line tool "ykneomgr" for interactive use.
It supports querying the YubiKey NEO for firmware version, operation
mode (OTP/CCID) and serial number. You may also mode switch the
device and manage applets (list, delete and install).

Build dependencies

pkgtools/cwrappers converters/help2man devel/libtool-base devel/pkgconf

Runtime dependencies

security/pcsc-lite archivers/libzip archivers/libzip

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibykneomgr-0.1.8nb2.tgz
NetBSD 8.0earmv7hflibykneomgr-0.1.8nb1.tgz
NetBSD 8.0earmv7hflibykneomgr-0.1.8nb2.tgz
NetBSD 8.0i386libykneomgr-0.1.8nb1.tgz
NetBSD 8.0i386libykneomgr-0.1.8nb2.tgz
NetBSD 8.0powerpclibykneomgr-0.1.8nb1.tgz
NetBSD 8.0powerpclibykneomgr-0.1.8nb2.tgz
NetBSD 8.0powerpclibykneomgr-0.1.8nb2.tgz
NetBSD 8.0powerpclibykneomgr-0.1.8nb2.tgz
NetBSD 8.0x86_64libykneomgr-0.1.8nb1.tgz
NetBSD 8.0x86_64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0aarch64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0aarch64libykneomgr-0.1.8nb1.tgz
NetBSD 9.0aarch64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0alphalibykneomgr-0.1.8nb2.tgz
NetBSD 9.0alphalibykneomgr-0.1.8nb1.tgz
NetBSD 9.0alphalibykneomgr-0.1.8nb2.tgz
NetBSD 9.0earmv6hflibykneomgr-0.1.8nb2.tgz
NetBSD 9.0earmv6hflibykneomgr-0.1.8nb1.tgz
NetBSD 9.0earmv6hflibykneomgr-0.1.8nb2.tgz
NetBSD 9.0earmv7hflibykneomgr-0.1.8nb2.tgz
NetBSD 9.0earmv7hflibykneomgr-0.1.8nb1.tgz
NetBSD 9.0earmv7hflibykneomgr-0.1.8nb2.tgz
NetBSD 9.0earmv7hflibykneomgr-0.1.8nb2.tgz
NetBSD 9.0i386libykneomgr-0.1.8nb1.tgz
NetBSD 9.0i386libykneomgr-0.1.8nb2.tgz
NetBSD 9.0i386libykneomgr-0.1.8nb2.tgz
NetBSD 9.0mips64eblibykneomgr-0.1.8nb2.tgz
NetBSD 9.0mips64eblibykneomgr-0.1.8nb1.tgz
NetBSD 9.0mips64eblibykneomgr-0.1.8nb1.tgz
NetBSD 9.0mips64eblibykneomgr-0.1.8nb1.tgz
NetBSD 9.0mips64eblibykneomgr-0.1.8nb2.tgz
NetBSD 9.0powerpclibykneomgr-0.1.8nb2.tgz
NetBSD 9.0powerpclibykneomgr-0.1.8nb1.tgz
NetBSD 9.0powerpclibykneomgr-0.1.8nb2.tgz
NetBSD 9.0powerpclibykneomgr-0.1.8nb2.tgz
NetBSD 9.0sparc64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0sparc64libykneomgr-0.1.8nb1.tgz
NetBSD 9.0sparc64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0sparclibykneomgr-0.1.8nb2.tgz
NetBSD 9.0sparclibykneomgr-0.1.8nb1.tgz
NetBSD 9.0sparclibykneomgr-0.1.8nb2.tgz
NetBSD 9.0x86_64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0x86_64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0x86_64libykneomgr-0.1.8nb1.tgz
NetBSD 9.0x86_64libykneomgr-0.1.8nb2.tgz
NetBSD 9.0x86_64libykneomgr-0.1.8nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.